EnKash Developer Portal
Home
Home
Login
  1. Consumer Number Apis
  • Back to home
  • APIs - BBPS
  • Bill Payment
    • Webhook
      • Setup Webhook Endpoint
    • Create Bill
      • Create Bill Without Bill Fetch
      • Create Bill After Successful Bill Fetch
    • Fetch Bill
      • Fetch Current Bill
      • Fetch Biller List
      • Fetch Biller Categories
      • Prepaid Plan
      • Fetch Bulk Bill Details
      • Get Utility Bill By Reference ID
      • Get Utility Bill Status
    • Payment
      • Confirm Debit for Bill Payment
      • Initiate Bill Payment via EnKash PG
    • Consumer Number Apis
      • Add Consumer Number
        POST
      • Update Consumer Number
        PATCH
    • Generate Authentication Token
      POST
  • Vendor Payment
    • Business Onboarding
      • Initiate Entity Check
      • Register Entity
      • Bharat Connect B2B ID Registration
      • Search Entity
    • Invoice
      • Create Invoice
      • Confirm Invoice
      • Change Invoice Status
      • Edit Invoice
    • Payment
      • Pay Invoice
      • Payment Confirmation
    • Purchase Order
      • Send Purchase Order Request
      • Confirm Purchase Order
      • Edit Purchase Order
      • Change Purchase Order Status
    • Credit Note
      • Send C/N Request
      • Confirm C/N Request
      • Status Change C/N Request
    • Financing
      • Request Financing
      • Share Bid
      • Respond To Bid
    • Webhook
      • Business Onboarding
        • Check Entity Webhook
        • Entity Registration Response Webhook
        • Search Entity Response Webhook
        • Registration ID Response Webhook
      • Invoice
        • Create Invoice Request Webhook
        • Create Invoice Response Webhook
        • Confirm Invoice Request Webhook
        • Confirm Invoice Response Webhook
        • Status Change Invoice Request
        • Status Change Invoice Response Webhook
        • Edit Invoice Request Webhook
        • Edit Invoice Response Webhook
      • Payment
        • Payment Response Webhook
        • Payment Confirmation Response Webhook
        • Payment Request Webhook
        • Payment Confirmation Request Webhook
      • Credit Note
        • Send C/N RequestWebhook
        • Send C/N Response Webhook
        • Confirm C/N Request Webhook
        • Confirm C/N Response Webhook
        • Status Change C/N Request Webhook
        • Status Change C/N Response Webhook
      • Purchase Order
        • Send Purchase Order Request Webhook
        • Send Purchase Order Response Webhook
        • Confirm Purchase Order Request Webhook
        • Confirm Purchase Order Response Webhook
        • Edit Purchase Order Request Webhook
        • Edit Purchase Order Response Webhook
        • Status Change Purchase Order Request Webhook
        • Status Change Purchase Order Response Webhook
      • Financing
        • Financing Response Webhook
        • Respond Bid Response Webhook
        • Share Bid Request Webhook
    • Generate Authentication Token
Home
Home
Login
  1. Consumer Number Apis

Add Consumer Number

POST
/api/v0/biller/fetchOrAddBill
This API is used to fetch an existing bill or register a new consumer number for a specific biller. It validates the provided customer details and retrieves the latest bill information from the biller system.
If the consumer number is not already registered in the system, it will be added and linked to the corresponding biller for future transactions

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples
{
  "billerId": 10,
  "billParams": {
    "cn": "3432423423",
    "ad1": "8503928642"
  },
  "branchCode": "CBC865522HQTM",
  "remarks": "Add CA in Pune branch",
  "keyContactEmail": "[email protected]"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://pay-en-uat.enkash.in/api/v0/biller/fetchOrAddBill' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "billerId": 10,
  "billParams": {
    "cn": "3432423423",
    "ad1": "8503928642"
  },
  "branchCode": "CBC865522HQTM",
  "remarks": "Add CA in Pune branch",
  "keyContactEmail": "[email protected]"
}'

Responses

🟢200Success
application/json
Body

Examples
Consumer Number added successfully.
{
  "response_code": 0,
  "response_message": "Success",
  "payload": {
    "companyBillerId": "CB579708053FS",
    "billNumber": "559515",
    "userName": "Shreshth Khandelwal",
    "billAmount": 110,
    "dueDate": "2025-09-09",
    "billPeriod": "1.03",
    "billnetamount": 120,
    "earlyPaymentAmount": 100,
    "latePaymentAmount": 120,
    "actualDueDate": "2025-09-09",
    "statusMessage": "",
    "billParams": {
      "cn": "453432254354"
    },
    "additionalInfo": {
      "Early Payment Date": "2025-09-07",
      "PC": "1",
      "Disconn Tag": "0",
      "Bill Month": "2501",
      "DTC Code": "4688962"
    }
  }
}
Modified at 2026-03-03 18:44:36
Previous
Initiate Bill Payment via EnKash PG
Next
Update Consumer Number
Built with